Name:           rcssmonitor
Version:        14.1.0
Release:        2%{?dist}
Summary:        RoboCup 2D Soccer Simulator Monitor

Group:          Applications/System
License:        GPLv2+
URL:            http://sourceforge.net/projects/sserver/
Source0:        http://downloads.sourceforge.net/sserver/%{name}-%{version}.tar.gz
# Source 1 is created by me.
Source1:        %{name}.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  automake boost-devel qt-devel desktop-file-utils

%description
The RoboCup Soccer Simulator Monitor is a viewer for moved 2d vector graphics.
You can use it to watch 2D soccer games running on rcssserver. However, The
architecture of The RoboCup Soccer Simulator Monitor was from the beginning
kept as general and modular as possible and not just hacked to fit the  needs
of the robocup soccer server (rcssserver). So by now The RoboCup Soccer
Simulator Monitor is also used to visualize many other two dimensional system.

You can use UDP/IP communication sockets to send commands to The RoboCup Soccer
Simulator Monitor. A generic communication device is also included. It
understands a very easy description language to build and move 2d objects.

%prep
%setup -q
sed -i.lib \
    -e 's|\$ac_boost_path/lib|\$libdir|' \
    -e 's|$ac_boost_path_tmp/lib|\$libdir|' \
    m4/ax_boost_base.m4
sed -i.nostatic \
    -e 's|--static||g' m4/qt.m4
autoreconf -if

%build
%configure --with-boost-program-options=mt --with-qt4-moc=%{_bindir}/moc-qt4
make %{?_smp_mflags} 

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"

mkdir -p %{buildroot}/%{_datadir}/pixmaps/
cp -p icons/rcss.xpm %{buildroot}/%{_datadir}/pixmaps/

desktop-file-install --vendor="fedora"                 \
  --dir=%{buildroot}/%{_datadir}/applications %{SOURCE1}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README 
%{_bindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*

%changelog
* Wed Aug 04 2010 Hedayat Vatankhah <hedayat@fedoraproject.org> - 14.1.0-2
- Rebuild for the new boost

* Fri Jun 04 2010 Hedayat Vatankhah <hedayat@grad.com> - 14.1.0-1
- Updated to version 14.1.0
- Fixed qt.m4 to avoid pulling private libs (Thanks to Mamoru Tasaka)

* Mon Jan 18 2010 Hedayat Vatankhah <hedayat@grad.com> - 14.0.1-1
- Updated to version 14.0.1

* Thu Nov 19 2009 Hedayat Vatankhah <hedayat@grad.com> - 14.0.0-1
- Updated to version 14.0.0

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 07 2009 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-2
- Added a patch for gcc4.4 compilation fixing.

* Tue Apr 07 2009 Hedayat Vatankhah <hedayat@grad.com> 13.1.0-1
- Updated to new upstream release

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 13.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Hedayat Vatankhah <hedayat@grad.com> 13.0.0-3
- Added xorg-x11-fonts-misc as a requirement.

* Wed Nov 5 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.0-2
- New release because of incorrect tagging.

* Wed Nov 5 2008 Hedayat Vatankhah <hedayat@grad.com> 13.0.0-1
- Updated to the new released version: 13.0.0

* Tue Aug 26 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-2
- Fixed source no. in the Source1 comment
- Fixed the .desktop file

* Tue Aug 12 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-1
- Completed the description
- Added icon and .desktop file installation

* Sat Jul 12 2008 Hedayat Vatankhah <hedayat@grad.com> 12.1.0-1
- Initial version
